### Function

# EDataBook DataBookCursorSetAlphabetIndexFunc

since: 3.12

#### Declaration

    gboolean
    (* EDataBookCursorSetAlphabetIndexFunc) (
      EDataBookCursor* cursor,
      gint index,
      const gchar* locale,
      GError** error
    )

#### Description [src]

Method type for `EDataBookCursorClass`.set_alphabetic_index()

Sets the cursor state to point to an index into the active alphabet.

The implementing class must check that `locale` matches the current locale setting of the underlying database and report an `E_CLIENT_ERROR_OUT_OF_SYNC` error in the case that the locales do not match.

Available since: 3.12

#### Parameters

`cursor`

  Type: `EDataBookCursor`

  An `EDataBookCursor`.

  The data is owned by the caller of the function.

`index`

  Type: `gint`

  The alphabetic index.

`locale`

  Type: `const gchar*`

  The locale in which `index` is expected to be a valid alphabetic index.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on Success, otherwise `FALSE` is returned if any error occurred and `error` is set to reflect the error which occurred.